## org.eclipse.jst.jsf.common.metadata.query
Class MetaDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jst.jsf.common.metadata.query.MetaDataException

All Implemented Interfaces:
  java.io.Serializable

    public class MetaDataException

extends java.lang.Exception

Exception intended to be superclass of all exceptions thrown while handling metadata during query

Provisional API - subject to change

See Also:
  Serialized Form

Constructor Summary
`MetaDataException()` Constructor
`MetaDataException(java.lang.String msg)` Constructor
`MetaDataException(java.lang.String msg, java.lang.Throwable cause)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaDataException

    public MetaDataException()

  Constructor

### MetaDataException

    public MetaDataException(java.lang.String msg)

  Constructor

  Parameters:
    `msg` -

### MetaDataException

    public MetaDataException(java.lang.String msg,
                             java.lang.Throwable cause)

  Constructor

  Parameters:
    `msg` -
    `cause` -